osl::move_probability::LanceAttack Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::LanceAttack:

## Public Types

enum | { PatternCacheSize = PatternCommon::PatternCacheSize , DIM = PatternCacheSize*(8+4+4+1) }

## Public Member Functions

| LanceAttack ()
double | match (const StateInfo &state, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 867 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
PatternCacheSize |
DIM |

Definition at line 870 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## LanceAttack()

osl::move_probability::LanceAttack::LanceAttack | ( |  | ) |

inline

Definition at line 874 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## match()

double osl::move_probability::LanceAttack::match | ( | const StateInfo & | state,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 877 of file move_probability/feature.h.

References osl::alt(), osl::Board_Table, osl::SimpleState::canDropPawnTo(), osl::Move::capturePtype(), osl::Square::index(), osl::Move::isDrop(), osl::Piece::isEdge(), osl::Piece::isEmpty(), osl::Piece::isOnBoardByOwner(), osl::SimpleState::kingSquare(), osl::LANCE, osl::move_probability::MoveInfo::move, osl::move_probability::StateInfo::pattern_cache, PatternCacheSize, osl::SimpleState::pieceAt(), osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::Piece::ptype(), osl::PTYPE_EMPTY, osl::CArray< T, Capacity >::size(), osl::move_probability::StateInfo::state, osl::Move::to(), osl::U, osl::WHITE, osl::Square::x(), and osl::Square::y().

The documentation for this class was generated from the following file:

- move_probability/feature.h